/* If you like this, be sure to ❤️ it. */
.wrapper {
    height: 100vh;
    /* This part is important for centering the content */
    display: flex;
    align-items: center;
    justify-content: center;
    /* End center */
    background: -webkit-linear-gradient(to right, #834d9b, #d04ed6);
    background: linear-gradient(to right, #834d9b, #d04ed6);
  }
  
  .wrapper a {
    display: inline-block;
    text-decoration: none;
    padding: 15px;
    background-color: #fff;
    border-radius: 3px;
    text-transform: uppercase;
    color: #585858;
    font-family: 'Roboto', sans-serif;
  }
  
  .modal {
    visibility: hidden;
    opacity: 0;
    align-items: center;
    justify-content: center;
    background: rgba(77, 77, 77, .7/ 0%);
    transition: all .4s;
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
  
  .modal:target {
    visibility: visible;
    opacity: 1;
  }
  
  .modal__content {
    border-radius: 4px;
    position: relative;
    width: 500px;
    max-width: 90%;
    background: linear-gradient(to bottom, hsl(236, 50%, 98%), hsl(236, 50%, 94%));
    padding: 1em 2em;
  }
  
  .modal__footer {
    text-align: right;
    a {
      color: #585858;
    }
    i {
      color: #d02d2c;
    }
  }
  .modal__close {
    position: absolute;
    top: 10px;
    right: 10px;
    color: #585858;
    text-decoration: none;
  }

  .modal-container-footer {
	padding: 20px 32px;
	display: flex;
	align-items: center;
	justify-content: flex-end;
	border-top: 1px solid #ddd;
	gap: 12px;
	position: relative;
	&:after {
		content: "";
		display: block;
		position: absolute;
		top: -51px;
		left: 24px;
		right: 24px;
		height: 50px;
		flex-shrink: 0;
		background-image: linear-gradient(to top, rgba(#fff, 0.75), transparent);
		pointer-events: none;
	}
}

.button {
	padding: 12px 20px;
	border-radius: 8px;
	background-color: transparent;
	border: 0;
	font-weight: 600;
	cursor: pointer;
	transition: 0.15s ease;

	&.is-ghost {
		&:hover,
		&:focus {
			background-color: #dfdad7;
		}
	}

	&.is-primary {
		background-color: #750550;
		color: #fff;
		&:hover,
		&:focus {
			background-color: #4a0433;
		}
	}
}

.icon-button {
	padding: 0;
	border: 0;
	background-color: transparent;
	width: 40px;
	height: 40px;
	display: flex;
	align-items: center;
	justify-content: center;
	line-height: 1;
	cursor: pointer;
	border-radius: 8px;
	transition: 0.15s ease;
	svg {
		width: 24px;
		height: 24px;
	}

	&:hover,
	&:focus {
		background-color: #dfdad7;
	}
}